LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XChainable Interface Referencepublished

enables the object to be a member of a chain. More...

`import"XChainable.idl";`

Inheritance diagram for XChainable:

## Public Member Functions
com::sun::star::util::XChainable | getPredecessor ()
com::sun::star::util::XChainable | getSuccessor ()
void | setSuccessor ([in] com::sun::star::util::XChainable xChainable) raises ( com::sun::star::lang::IllegalArgumentException )
| connects the specified object to this object as the successor in a chain. More...
boolean | isChainable ([in] com::sun::star::util::XChainable xChainable)
| checks if the specified object can be linked to this. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables the object to be a member of a chain.

## Member Function Documentation

## ◆ getPredecessor()

com::sun::star::util::XChainable getPredecessor | ( |  | ) |

Returns
  the previous object in this chain or NULL, if this is the first object of this chain.

## ◆ getSuccessor()

com::sun::star::util::XChainable getSuccessor | ( |  | ) |

Returns
  the next object in this chain or NULL, if this is the last object in this chain.

## ◆ isChainable()

boolean isChainable | ( | [in] com::sun::star::util::XChainable | xChainable | ) |

checks if the specified object can be linked to this.

## ◆ setSuccessor()

void setSuccessor | ( | [in] com::sun::star::util::XChainable | xChainable | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

connects the specified object to this object as the successor in a chain.

This implies that this object will become the predecessor of xChainable.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XChainable.idl